<form class="registration-form" [formGroup]="form" (ngSubmit)="signUp()">
  <mat-form-field>
    <mat-label>{{ 'registration_page.email' | translate }}</mat-label>
    <input matInput formControlName="email" type="email">
  </mat-form-field>

  <mat-form-field>
    <mat-label>{{ 'registration_page.first_name' | translate }}</mat-label>
    <input matInput formControlName="firstName" type="text">
  </mat-form-field>

  <mat-form-field>
    <mat-label>{{ 'registration_page.last_name' | translate }}</mat-label>
    <input matInput formControlName="lastName" type="text">
  </mat-form-field>

  <mat-form-field>
    <mat-label>{{ 'registration_page.password' | translate }}</mat-label>
    <input matInput formControlName="password" type="password">
  </mat-form-field>

  <mat-form-field>
    <mat-label>{{ 'registration_page.confirm_password' | translate }}</mat-label>
    <input matInput formControlName="confirmPassword" type="password">
  </mat-form-field>

  <button mat-raised-button color="accent"
          class="registration-form__submit-button"
          [disabled]="form.invalid">
    {{ 'registration_page.submit' | translate }}
  </button>
</form>
